# phpDox - Query\QueryBuilder::getCompiledDelete

# Query\QueryBuilder::getCompiledDelete

#### Returns the generated 'delete' sql query

## Signature

`public function getCompiledDelete([string $table = '', [boolean $reset = TRUE]] )`

## Parameters

`$table` — string
`$reset` — boolean

## Returns

string

## Defined by Interface

`QueryBuilderInterface`

## Violations

### PHPMessDetector

Line | Rule | Message
--- | --- | ---
816 | BooleanArgumentFlag | The method getCompiledDelete has a boolean flag argument $reset, which is a certain sign of a Single Responsibility Principle violation.